Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class PolicyInterceptorProviderImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.lang.String,java.lang.Object>
              org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
                  org.apache.cxf.ws.policy.PolicyInterceptorProviderImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.lang.Object>, InterceptorProvider, PolicyInterceptorProvider

    public class PolicyInterceptorProviderImpl

extends AbstractAttributedInterceptorProvider
implements PolicyInterceptorProvider

See Also:
  Serialized Form

Method Summary
`java.util.Collection<javax.xml.namespace.QName>` | `getAssertionTypes()` Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.

Methods inherited from class org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
`equals, getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, hashCode, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Method Detail

### getAssertionTypes

    public java.util.Collection<javax.xml.namespace.QName> getAssertionTypes()

  Description copied from interface: `PolicyInterceptorProvider`
  Returns a collection of QNames describing the xml schema types of the assertions that this interceptor implements.

  Specified by:
    `getAssertionTypes` in interface `PolicyInterceptorProvider`
  Returns:
    collection of QNames of known assertion types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.